org.tmatesoft.svn.core.wc2

## Enum SvnChecksum.Kind

- java.lang.Object
- - java.lang.Enum<SvnChecksum.Kind>
  - - org.tmatesoft.svn.core.wc2.SvnChecksum.Kind

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SvnChecksum.Kind>
  Enclosing class:
    SvnChecksum

      public static enum SvnChecksum.Kind
      extends java.lang.Enum<SvnChecksum.Kind>

  Describes the kind of used hash algorithm for computing the checksum. This can be:
  - sha1 - sha1 algorithm
  - md5 - md5 algorithm
  Version:
    1.7
  Author:
    TMate Software Ltd.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `md5`
    `sha1`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SvnChecksum.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SvnChecksum.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### sha1

          public static final SvnChecksum.Kind sha1

    - #### md5

          public static final SvnChecksum.Kind md5

  - ### Method Detail

    - #### values

          public static SvnChecksum.Kind[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SvnChecksum.Kind c : SvnChecksum.Kind.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SvnChecksum.Kind valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null